import { PluginFunction } from 'graphql-codegen-core';
export interface FlowDocumentsPluginConfig {
    scalars?: ScalarsMap;
    skipTypename?: boolean;
    namingConvention?: string;
    typesPrefix?: string;
    useFlowExactObjects?: boolean;
    useFlowReadOnlyTypes?: boolean;
}
export declare type ScalarsMap = {
    [name: string]: string;
};
export declare const plugin: PluginFunction<FlowDocumentsPluginConfig>;
